use cgmath::Vector3;
use engine::prelude::*;

pub struct HealthBarBase {
    pub center: (i32, i32),
    pub should_enable: bool,
    pub is_enabled: bool,

    pub world_offset: Vector3<f32>,
}

impl HealthBarBase {
    pub fn new(offset: Vector3<f32>) -> Self {
        Self {
            center: (0, 0),

            should_enable: false,
            is_enabled: false,

            world_offset: offset,
        }
    }
}
